/* BOREXINO Reconstruction program
 * 
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: constants.cc,v 1.4 2004/04/27 13:35:23 ddangelo Exp $
 *
 * Implementation for constants.hh
 *
 */

#include "constants.hh"

const unsigned char tdc_constants::max_boards = 2;
const unsigned char tdc_constants::chips_per_board = 4;
const unsigned char tdc_constants::channels_per_chip = 32;
const unsigned long tdc_constants::time_buffer = 1 << 12; 
const float         tdc_constants::ns_per_clock = 1.0416;

const unsigned short muon_constants::channels = 256;
const unsigned short muon_constants::channel_offset = 3000;
const tdc_constants muon_constants::tdc = tdc_constants() ;


/* exact value for QTC gain of 1 channel QTC 6 ch 1 (no PMT taken into account: assumed 1.6 pC/pe gain) */
const float muon_constants::pe_per_clock = 0.07295;
const unsigned char muon_constants::crate_number = 15;


const unsigned short constants::precalibration_nevents = 1000;
const unsigned short laben_constants::channels = 2400;
const unsigned char laben_constants::ncrates = 14;

const unsigned char fadc_constants::crate_number = 16;

const laben_constants constants::laben = laben_constants();
const muon_constants constants::muon = muon_constants();

/*
 * $Log: constants.cc,v $
 * Revision 1.4  2004/04/27 13:35:23  ddangelo
 * trigger and fadc sub-obj added. crate numbers added.
 *
 * Revision 1.3  2004/04/12 16:11:38  razeto
 * Added a laben constant
 *
 * Revision 1.2  2004/04/02 11:24:26  ddangelo
 * some constants added
 *
 * Revision 1.1  2004/04/01 10:50:33  ddangelo
 * added static class for wide spread constants.
 * muon raw event classes redisigned.
 *
 *
 */
