/* BOREXINO Reconstruction program
 * 
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: constants.hh,v 1.4 2004/04/27 13:35:23 ddangelo Exp $
 *
 * Container class for all program constants, 
 * to be implemented as public static const members for easy access.
 *
 */

#ifndef _CONSTANTS_HH
#define _CONSTANTS_HH

class trigger_constants {
  public:
    static const unsigned char crate_number;
};

class laben_constants {
  public:
    static const unsigned char ncrates;
    static const unsigned short channels;
};

class tdc_constants {
  public:
    static const unsigned char max_boards;
    static const unsigned char chips_per_board;
    static const unsigned char channels_per_chip;
    static const unsigned long time_buffer;
    static const float ns_per_clock;
};

class muon_constants {
  public:
    static const unsigned char crate_number;
    static const unsigned short channels;
    static const unsigned short channel_offset;
    static const float pe_per_clock; //tmp, to be removed
    static const tdc_constants tdc;
};

class fadc_constants {
  public:
    static const unsigned char crate_number;
};

class constants {
public:
  static const unsigned short precalibration_nevents;
  static const trigger_constants trigger;
  static const laben_constants laben;
  static const muon_constants muon;
  static const fadc_constants fadc;
  static int crate (int lg) { return (lg - 1) / 160 + 1; }
};


#endif
/*
 * $Log: constants.hh,v $
 * Revision 1.4  2004/04/27 13:35:23  ddangelo
 * trigger and fadc sub-obj added. crate numbers added.
 *
 * Revision 1.3  2004/04/12 16:11:38  razeto
 * Added a laben constant
 *
 * Revision 1.2  2004/04/02 11:24:26  ddangelo
 * some constants added
 *
 * Revision 1.1  2004/04/01 10:50:33  ddangelo
 * added static class for wide spread constants.
 *
 *
 */
