/* BOREXINO Reconstruction program
 *
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 * based on work by Razeto&Pallas 
 *
 * $Id: bx_laben_event.cc,v 1.2 2004/04/27 16:58:57 ddangelo Exp $
 *
 * Implementation of bx_laben_event
 *
 */
#include "bx_laben_event.hh"
#include "bx_event_disk_format.h"
#include "messenger.hh"

bx_laben_raw_event::bx_laben_raw_event (const char *disk_event) {

  laben_header_disk_format *head = (laben_header_disk_format *)disk_event;

  u4_entries = head->entries;
  if (u4_entries) u4_errors = head->errors;

  raw_hits.clear ();
  for (unsigned long i = 0; i < u4_entries; i++)
    raw_hits.push_back (disk_event + sizeof (laben_header_disk_format) + i * sizeof (laben_hit_disk_format));
		
}

bx_laben_raw_hit::bx_laben_raw_hit (const char *disk_event) {
  
  laben_hit_disk_format *hit = (laben_hit_disk_format *)disk_event;

  u2_channel = hit->channel;
  u1_time_1 = hit->time_s[0];
  u1_time_2 = hit->time_s[1];
  u2_gray_counter = hit->time_l;
  u1_base = hit->charge[0];
  u1_peak = hit->charge[1];
  u2_flags = hit->flags;
  u2_errors = hit->errors;

}

/*
 * $Log: bx_laben_event.cc,v $
 * Revision 1.2  2004/04/27 16:58:57  ddangelo
 * minor updates
 *
 * Revision 1.1  2004/04/27 09:41:09  ddangelo
 * Event structure redisegned.
 * bx_reco_event now handles event header and has object for different detector portions.
 * Inheritance from different reconstruction status is kept within each detector portion obj.
 * Hit lists are linked by const ptr (maybe a temporary solution).
 *
 *
 */
