/* BOREXINO Reconstruction program
 *
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 * based on work by Razeto&Pallas 
 *
 * $Id: bx_reco_event.cc,v 1.3 2004/04/28 11:03:38 ddangelo Exp $
 *
 */
#include <stdexcept>
#include <sstream>

#include "bx_reco_event.hh"
#include "bx_event_disk_format.h"
#include "messenger.hh"

bx_reco_event::bx_reco_event (const char *disk_event): 
  trigger(bx_trigger_event(disk_event + sizeof (event_header_disk_format))), 
  laben(bx_laben_event(disk_event + ((event_header_disk_format *)disk_event)->laben_offset)),
  muon(bx_muon_event(disk_event + ((event_header_disk_format *)disk_event)->muon_offset)) {
	
  event_header_disk_format *head = (event_header_disk_format *)disk_event;
	
  u4_event_size_bytes = head->event_size_bytes;
  u4_run_number = head->run_number;
  u4_event_number = head->event_number;
  u4_enabled_crates = head->enabled_crates;
  u4_builder_time_seconds = head->builder_time_seconds;
  u4_builder_time_nanoseconds = head->builder_time_nanoseconds;
}

/*
 * $Log: bx_reco_event.cc,v $
 * Revision 1.3  2004/04/28 11:03:38  ddangelo
 * implemented 2 (const/nonconst) getters for sub-objects, for reading/writing within modules
 *
 * Revision 1.2  2004/04/27 12:13:08  ddangelo
 * added getters for enabled_crates and builder times
 *
 * Revision 1.1  2004/04/27 09:41:09  ddangelo
 * Event structure redisegned.
 * bx_reco_event now handles event header and has object for different detector portions.
 * Inheritance from different reconstruction status is kept within each detector portion obj.
 * Hit lists are linked by const ptr (maybe a temporary solution).
 *
 *
 */
