/* BOREXINO Reconstruction program
 *
 * Author: Marco Pallavicini <pallas@ge.infn.it>
 *
 * $Id: bx_trigger_event.cc,v 1.1 2004/04/27 09:41:09 ddangelo Exp $
 *
 * Implementation of bx_trigger_event
 *
 */

#include "bx_trigger_event.hh"
#include "bx_event_disk_format.h"
#include "messenger.hh"

bx_trigger_raw_event::bx_trigger_raw_event (const char *disk_event) {

  trigger_disk_format *head = (trigger_disk_format *)disk_event;

  u2_length = head->length;
  u2_error = head->error;
  u2_blocks = head->blocks;
  u2_version = head->version;
  u4_conf1 = head->conf1;
  u4_conf2 = head->conf2;
  u4_time = head->time;
  u4_evid = head->evid;
  u4_trgw = head->trgw;
  u4_gps1 = head->gps1;
  u4_gps2 = head->gps2;
  u4_gps3 = head->gps3;

}

/*
 * $Log: bx_trigger_event.cc,v $
 * Revision 1.1  2004/04/27 09:41:09  ddangelo
 * Event structure redisegned.
 * bx_reco_event now handles event header and has object for different detector portions.
 * Inheritance from different reconstruction status is kept within each detector portion obj.
 * Hit lists are linked by const ptr (maybe a temporary solution).
 * 
 *
 */
