/* BOREXINO Reconstruction program
 * 
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: date.cc,v 1.1 2004/04/15 13:00:14 razeto Exp $
 *
 * A date handler type.
 *
 */
#define _XOPEN_SOURCE
#include <time.h>

#include "date.hh"

std::date::date (unsigned char day, unsigned char month, unsigned short year, unsigned char hour, unsigned char minute, unsigned char second) {
  struct tm t;

  t.tm_mday = day;
  t.tm_mon = month;
  t.tm_year = year;
  t.tm_hour = hour;
  t.tm_min = minute;
  t.tm_sec = second;

  _t = ::mktime (&t);
}

std::date::date (const string& str) { 
  struct tm t; 
  ::strptime (str.c_str (), "%a %d %b %H:%M:%S %Y", &t); 
  _t = ::mktime (&t); 
};

std::string std::date::get_str (const std::string &format) const {

  struct tm *t = ::localtime (&_t);
  
  char tmp[2048];
  ::strftime (tmp, 2048, format.c_str (), t);

  return tmp;
};
/*
 * $Log: date.cc,v $
 * Revision 1.1  2004/04/15 13:00:14  razeto
 * Added
 *
 */
