/* BOREXINO Reconstruction program
 * 
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: date.hh,v 1.2 2004/04/18 10:31:03 razeto Exp $
 *
 * A date handler type.
 *
 */

#ifndef _DATE_H
#define _DATE_H

#include <iostream>
#include <string>
#include <time.h>

namespace std {
  class date {
    public:
      date () { ::time (&_t); }
      date (time_t t): _t(t) {}
      date (unsigned char day, unsigned char month, unsigned short year, unsigned char hour = 0, unsigned char minute = 0, unsigned char second = 0);
      date (const string& str);

      time_t time () const { return _t; }
      std::string get_str (const std::string &format = "%a %d %b %H:%M:%S %Y") const;
    private:
      time_t _t;
  };
};
#endif
/*
 * $Log: date.hh,v $
 * Revision 1.2  2004/04/18 10:31:03  razeto
 * Fixed an include
 *
 * Revision 1.1  2004/04/15 13:00:14  razeto
 * Added
 *
 */
