/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: db_acl.cc,v 1.1 2004/04/26 13:48:29 razeto Exp $
 *
 * The database table acl implementation.
 *
 */
#include "db_acl.hh"
#include "bx_dbi.hh"

bool db_acl::check_acl (const std::string& method, const bx_base_module* module) {
  if (acl.check (method)) {
    const module_name_list& list = acl[method];
    if (std::find (list.begin (), list.end (), module->get_name ()) != list.end ()) 
      return true;
  }
  bx_dbi::get ()->get_message (bx_message::error) << "bx_table: acl failed for module " << module->get_name () << " with " << method << dispatch;
  return false;
}
/*  
 *  $Log: db_acl.cc,v $
 *  Revision 1.1  2004/04/26 13:48:29  razeto
 *  Added db_acl to check set calls for calling module to have the right privileges.
 *  Fixed the names of set/get methods.
 *  Modifications decided at the software Paris meeting.
 *
 */
