/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: db_acl.hh,v 1.1 2004/04/26 13:48:29 razeto Exp $
 *
 * The database table acls.
 *
 */
#ifndef _BD_TABLE_H
#define _BD_TABLE_H
#include "bx_rec_general.hh"
#include "cmap.hh"
#include "bx_base_module.hh"
#include "messenger.hh"

#include <vector>
#include <string>
#include <algorithm>

class db_acl {
  protected:
    typedef std::vector<std::string> module_name_list;

    db_acl () {}
    void set_acl (const std::string& method, const std::string& module_name) { acl[method].push_back(module_name); }
    bool check_acl (const std::string& method, const bx_base_module* module);
  private:
    std::cmap<std::string, module_name_list> acl;
};
#endif
/*  
 *  $Log: db_acl.hh,v $
 *  Revision 1.1  2004/04/26 13:48:29  razeto
 *  Added db_acl to check set calls for calling module to have the right privileges.
 *  Fixed the names of set/get methods.
 *  Modifications decided at the software Paris meeting.
 *
 */
