/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_adc.hh,v 1.1 2004/04/12 15:59:49 razeto Exp $
 *
 * Precalib for laben phases (1st cycle): calcolate the ramp limits and update them to
 * db_run. 
 *
 */
#ifndef _BX_PRECALIB_LABEN_ADC_H
#define _BX_PRECALIB_LABEN_ADC_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"


class bx_precalib_laben_adc: public bx_base_module {
  public:
    bx_precalib_laben_adc ();
    virtual ~bx_precalib_laben_adc () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int **adc_sample_map;
};

#endif
/*
 * $Log: bx_precalib_laben_adc.hh,v $
 * Revision 1.1  2004/04/12 15:59:49  razeto
 * Added a firsto core of laben precalibration
 *
 */
