/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_gray.hh,v 1.1 2004/04/12 15:59:49 razeto Exp $
 *
 * Precalib for laben gray counter (1st cycle): allign gray counter shift 
 *
 */
#ifndef _BX_PRECALIB_LABEN_GRAY_H
#define _BX_PRECALIB_LABEN_GRAY_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"
#include "cmap.hh"

class bx_precalib_laben_gray: public bx_base_module {
  public:
    bx_precalib_laben_gray ();
    virtual ~bx_precalib_laben_gray () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    unsigned long  *gray_map;
    unsigned long ***gray_shift_map;
    int i_channel_skip;
    int i_histo_lenght;
    float f_mean_bound;
    float f_rms_bound;

    void m_statistic_info (unsigned long *v, int& max_bin);
    bool m_check_bound (unsigned long **v, float& mean, float& rms);
};

#endif
/*
 * $Log: bx_precalib_laben_gray.hh,v $
 * Revision 1.1  2004/04/12 15:59:49  razeto
 * Added a firsto core of laben precalibration
 *
 */
