/* BOREXINO Reconstruction program
 *
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: bx_precalib_muon_findpulse.hh,v 1.3 2004/04/27 15:05:53 ddangelo Exp $
 *
 * Special module to do outer muon precalibration
 * Cycle 1: find the precalibration signal time (raw)
 *
 */

#ifndef _BX_PRECALIB_MUON_FINDPULSE_HH
#define _BX_PRECALIB_MUON_FINDPULSE_HH

#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"

class bx_precalib_muon_findpulse: public bx_base_module {
  public:
    bx_precalib_muon_findpulse ();
    virtual ~bx_precalib_muon_findpulse () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    static const unsigned short pedestal_detect_events; 

    unsigned long u4_time_buffer;
    unsigned long u4_hit_counter; 
};

#endif

/*
 * $Log: bx_precalib_muon_findpulse.hh,v $
 * Revision 1.3  2004/04/27 15:05:53  ddangelo
 * fixed the bug that was causing the crash with no muon data.
 *
 * Revision 1.2  2004/04/27 09:46:50  ddangelo
 * modifications to match new event structure.
 * Other debugging
 *
 * Revision 1.1  2004/04/20 11:36:25  ddangelo
 * added 2 modules for outer muon precalibration
 *
 *
 */
