/* BOREXINO Reconstruction program
 *
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: bx_precalib_muon_pedestals.hh,v 1.2 2004/04/28 10:48:21 ddangelo Exp $
 *
 * Special module to do outer muon precalibration
 * cycle 2: compute QTC pedestals and their spreads
 */

#ifndef _BX_PRECALIB_MUON_PEDESTALS_HH
#define _BX_PRECALIB_MUON_PEDESTALS_HH

#include <vector>

#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"

class bx_precalib_muon_pedestals: public bx_base_module {
  public:
    bx_precalib_muon_pedestals ();
    virtual ~bx_precalib_muon_pedestals () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    static const unsigned short min_pedestal_width; 
    static const unsigned short max_pedestal_width; 
    static const unsigned short precalib_pulse_tolerance; 

    std::vector<unsigned long>* pedestals[256];
};

#endif

/*
 * $Log: bx_precalib_muon_pedestals.hh,v $
 * Revision 1.2  2004/04/28 10:48:21  ddangelo
 * Pedestal calculation reworked.
 *
 * Revision 1.1  2004/04/20 11:36:25  ddangelo
 * added 2 modules for outer muon precalibration
 *
 *
 */
